<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        const data = {
            id: 1,
            name: 'zds'
        }
        let obj = {}
        for (var k in data) {
            obj[k] = data[k] 
        }
        // obj.id = 10
        // console.log(obj);
        // console.log(data);
        console.log('------------------')
        Object.assign(obj, data)
        obj.id = 20
        console.log(obj);
        console.log(data);
    </script>
</body>
</html>